HTMLEventInfo.SynthesizedItem (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Class HTMLEventInfo.SynthesizedItem

    java.lang.Object
      org.cyberneko.html.HTMLEventInfo.SynthesizedItem

All Implemented Interfaces:
  HTMLEventInfo

Enclosing interface:
  HTMLEventInfo

    public static class HTMLEventInfo.SynthesizedItem

extends java.lang.Object
implements HTMLEventInfo

Synthesized infoset item.

Author:
  Andy Clark

Nested Class Summary

Nested classes/interfaces inherited from interface org.cyberneko.html.HTMLEventInfo
`HTMLEventInfo.SynthesizedItem`

Constructor Summary
`HTMLEventInfo.SynthesizedItem()`

Method Summary
`int` | `getBeginCharacterOffset()` Returns the character offset of the beginning of this event.
`int` | `getBeginColumnNumber()` Returns the column number of the beginning of this event.
`int` | `getBeginLineNumber()` Returns the line number of the beginning of this event.
`int` | `getEndCharacterOffset()` Returns the character offset of the end of this event.
`int` | `getEndColumnNumber()` Returns the column number of the end of this event.
`int` | `getEndLineNumber()` Returns the line number of the end of this event.
`boolean` | `isSynthesized()` Returns true if this corresponding event was synthesized.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLEventInfo.SynthesizedItem

    public HTMLEventInfo.SynthesizedItem()

Method Detail

### getBeginLineNumber

    public int getBeginLineNumber()

  Returns the line number of the beginning of this event.

  Specified by:
    `getBeginLineNumber` in interface `HTMLEventInfo`

### getBeginColumnNumber

    public int getBeginColumnNumber()

  Returns the column number of the beginning of this event.

  Specified by:
    `getBeginColumnNumber` in interface `HTMLEventInfo`

### getBeginCharacterOffset

    public int getBeginCharacterOffset()

  Returns the character offset of the beginning of this event.

  Specified by:
    `getBeginCharacterOffset` in interface `HTMLEventInfo`

### getEndLineNumber

    public int getEndLineNumber()

  Returns the line number of the end of this event.

  Specified by:
    `getEndLineNumber` in interface `HTMLEventInfo`

### getEndColumnNumber

    public int getEndColumnNumber()

  Returns the column number of the end of this event.

  Specified by:
    `getEndColumnNumber` in interface `HTMLEventInfo`

### getEndCharacterOffset

    public int getEndCharacterOffset()

  Returns the character offset of the end of this event.

  Specified by:
    `getEndCharacterOffset` in interface `HTMLEventInfo`

### isSynthesized

    public boolean isSynthesized()

  Returns true if this corresponding event was synthesized.

  Specified by:
    `isSynthesized` in interface `HTMLEventInfo`

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.